Calculate shipping price with local priority for FR
1 min
POST
https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-calculate-with-local-priority
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringDescription
Body Parameters
- bodyCalculatePriceWithLocalPriorityRequestrequiredDescription
- storesDistancesStoreDistance[]requiredDescription
- storeIdstringrequiredMin Length1
- distancenumber<double>requiredFormatdouble
- deliveryPostalCodestringrequiredMin Length1
- stateCodestring
- weightnumber<double>requiredFormatdouble
- itemsSubtotalnumber<bigdecimal>Formatbigdecimal
- cartItemsCartItem[]requiredDescription
- idstringrequired
- catalogItemIdstringrequired
- productItemSkuIdstringrequired
- quantitynumberrequired
- shipmentIdstringrequired
- pricingCartItemPricingrequiredDescription
- basePriceBasePriceDescription
- typestringrequired
- zonestringrequired
- pricenumberrequired
- promotionPriceAdjustmentsPromotionPriceAdjustment[]Description
- idstringrequired
- valuenumberrequired
- feePriceAdjustmentsFeePriceAdjustment[]Description
- idstringrequired
- valuenumberrequired
- taxPriceAdjustmentTaxPriceAdjustmentDescription
- taxCodestringrequired
- valuenumber
Responses
201
- ShippingPriceFromStoreDescription
- storeIdstringDescription
- basicAmountnumber<float>Formatfloat
- premiumAmountnumber<float>Formatfloat
- isFreightbooleanrequired
400
- ValidationErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstring
401
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request POST \
--url https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-calculate-with-local-priority \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"storesDistances": [
{
"storeId": "",
"distance": ""
}
],
"deliveryPostalCode": "",
"weight": "",
"cartItems": [
{
"id": "",
"catalogItemId": "",
"productItemSkuId": "",
"quantity": "",
"shipmentId": "",
"pricing": {
"basePrice": {
"type": "",
"zone": "",
"price": ""
},
"promotionPriceAdjustments": [
{
"id": "",
"value": ""
}
],
"feePriceAdjustments": [
{
"id": "",
"value": ""
}
],
"taxPriceAdjustment": {
"taxCode": ""
}
}
}
]
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"storesDistances": [
{
"storeId": "",
"distance": ""
}
],
"deliveryPostalCode": "",
"weight": "",
"cartItems": [
{
"id": "",
"catalogItemId": "",
"productItemSkuId": "",
"quantity": "",
"shipmentId": "",
"pricing": {
"basePrice": {
"type": "",
"zone": "",
"price": ""
},
"promotionPriceAdjustments": [
{
"id": "",
"value": ""
}
],
"feePriceAdjustments": [
{
"id": "",
"value": ""
}
],
"taxPriceAdjustment": {
"taxCode": ""
}
}
}
]
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-calculate-with-local-priority", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-calculate-with-local-priority")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"storesDistances": [
{
"storeId": "",
"distance": ""
}
],
"deliveryPostalCode": "",
"weight": "",
"cartItems": [
{
"id": "",
"catalogItemId": "",
"productItemSkuId": "",
"quantity": "",
"shipmentId": "",
"pricing": {
"basePrice": {
"type": "",
"zone": "",
"price": ""
},
"promotionPriceAdjustments": [
{
"id": "",
"value": ""
}
],
"feePriceAdjustments": [
{
"id": "",
"value": ""
}
],
"taxPriceAdjustment": {
"taxCode": ""
}
}
}
]
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-calculate-with-local-priority"
payload = json.dumps({
"storesDistances": [
{
"storeId": "",
"distance": ""
}
],
"deliveryPostalCode": "",
"weight": "",
"cartItems": [
{
"id": "",
"catalogItemId": "",
"productItemSkuId": "",
"quantity": "",
"shipmentId": "",
"pricing": {
"basePrice": {
"type": "",
"zone": "",
"price": ""
},
"promotionPriceAdjustments": [
{
"id": "",
"value": ""
}
],
"feePriceAdjustments": [
{
"id": "",
"value": ""
}
],
"taxPriceAdjustment": {
"taxCode": ""
}
}
}
]
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Success–shipping method created.
{
"storeId": "",
"basicAmount": "",
"premiumAmount": "",
"isFreight": false
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}